.\" $NetBSD: pad.4,v 1.2 2009/05/18 12:06:01 wiz Exp $
.\"
.\" Copyright (c) 2007 Jared D. McNeill <jmcneill@invisible.ca>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 11, 2007
.Dt PAD 4
.Os
.Sh NAME
.Nm pad
.Nd Pseudo audio device driver
.Sh SYNOPSIS
.Cd "pseudo-device pad"
.Cd "audio* at audiobus?"
.Sh DESCRIPTION
.Nm
is a pseudo-device driver which provides support for feeding back PCM data
from a consumer of the
.Xr audio 4
API to userland.
.Sh FILES
The
.Nm
pseudo-device driver receives data from
.Pa /dev/soundN
and feeds the raw PCM output to
.Pa /dev/padN .
.Bl -item
.It
.Pa /dev/soundN
.It
.Pa /dev/padN
.El
.Sh EXAMPLES
The following example streams an MP3 to an Apple AirTunes compatible device:
.Bd -literal -offset indent
$ rtunes - \*[Lt] /dev/pad0 \*[Am]
$ mpg123 -a /dev/sound1 mozart.mp3
.Ed
.Sh SEE ALSO
.Xr audio 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 5.0 .
.Sh AUTHORS
.An Jared D. McNeill Aq jmcneill@invisible.ca
